use sgx_tseal::SgxSealedData;

fn main() {
    println!("Example of sealing");
    let text = "sealed text";
    let additional_text = "additional";
    let sealed_data =
        SgxSealedData::<[u8]>::seal_data(additional_text.as_bytes(), text.as_bytes()).unwrap();
    let unsealed_data = SgxSealedData::unseal_data(&sealed_data).unwrap();
    let text: &str = unsealed_data.get_decrypt_text();
    println!("Unsealed text: {}", text);
}
